org.apache.commons.math3.exception

## Class ConvergenceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalStateException
        - - org.apache.commons.math3.exception.MathIllegalStateException
          - - org.apache.commons.math3.exception.ConvergenceException

All Implemented Interfaces:
  java.io.Serializable, ExceptionContextProvider

Direct Known Subclasses:
  FractionConversionException

    public class ConvergenceException
    extends MathIllegalStateException

Error thrown when a numerical computation can not be performed because the numerical result failed to converge to a finite value.

Since:
  2.2
Version:
  $Id: ConvergenceException.java 1364378 2012-07-22 17:42:38Z tn $
See Also:
  Serialized Form

### Field Summary

Fields
`private static long` `serialVersionUID` Serializable version Id.

### Constructor Summary

Constructors
Constructor and Description
`ConvergenceException()` Construct the exception.
`ConvergenceException(Localizable pattern, java.lang.Object... args)` Construct the exception with a specific context and arguments.

### Method Summary

### Methods inherited from class org.apache.commons.math3.exception.MathIllegalStateException

`getContext, getLocalizedMessage, getMessage`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

Serializable version Id.

See Also:
  Constant Field Values

### Constructor Detail

#### ConvergenceException

    public ConvergenceException()

Construct the exception.

#### ConvergenceException

    public ConvergenceException(Localizable pattern,
                        java.lang.Object... args)

Construct the exception with a specific context and arguments.

Parameters:
  `pattern` - Message pattern providing the specific context of the error.
  `args` - Arguments.